Bug 475636 - alltray doesn't take into account window title change
alltray doesn't take into account window title change
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: alltray (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-09 16:16 EST by Patrice Dumas
Modified: 2010-09-07 22:24 EDT (History)
1 user (show)

See Also:
Fixed In Version: alltray-0.71a-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-23 21:22:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2008-12-09 16:16:10 EST
Description of problem:

In fluxbox, I start
alltray -t 3 -s -st --skip-taskbar  "xterm -e 'sleep 10000'"

Then in another window I do
wmctrl -r 'sleep' -T 'new'

I see the window title change, but the ballon that appears if I 
let the mouse cursor go above the icon in the systray the balloon
is still 'sleep 10000'.

This may also be a fluxbox bug, or a wmctrl bug.

Version-Release number of selected component (if applicable):

alltray-0.70-2.fc9.i386
fluxbox-1.1.1-1.fc10.i386
wmctrl-1.07-5.fc10.i386


How reproducible:

Always.

Steps to Reproduce:
1. see above
2.
3.
  
Actual results:


Expected results:


Additional info:

If I add -d there is nothing strange and no debug is produced when window title changes.
.
In fact I did this seemingly strange to try to reproduce, in a simpler setting another bug, with irssi, the title appeared in balloons upon changes only if I passed the mouse over the icon in systray once. I'll fill it if it is reproducible once this one is fixed.
Comment 1 Bug Zapper 2009-11-18 05:24:54 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Patrice Dumas 2009-11-18 06:40:34 EST
Retargetting rawhide.

This report is one year old, what's up?
Comment 3 Bug Zapper 2010-03-15 08:20:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora Update System 2010-08-12 02:06:06 EDT
alltray-0.71a-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/alltray-0.71a-1.fc13
Comment 5 Fedora Update System 2010-08-12 02:06:32 EDT
alltray-0.71a-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/alltray-0.71a-1.fc14
Comment 6 Fedora Update System 2010-08-12 16:02:07 EDT
alltray-0.71a-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update alltray'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/alltray-0.71a-1.fc14
Comment 7 Fedora Update System 2010-08-23 21:22:17 EDT
alltray-0.71a-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-09-07 22:23:50 EDT
alltray-0.71a-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.